## python-gear 0.4.0

=== requirements.txt ===
pbr>=0.5.21,<1.0
python-daemon
extras

=== debian/changelog ===
python-gear (0.4.0-1) unstable; urgency=low

  * Initial Version
  * Closes: #725081

 -- Antoine Musso <hashar@free.fr>  Thu, 12 Sep 2013 17:32:15 +0000

=== debian/control ===
Source: python-gear
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antoine Musso <hashar@free.fr>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Paul Belanger <paul.belanger@polybeacon.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 8),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3),
               python-daemon,
               python-extras,
               python-fixtures (>=0.3.12),
               python-setuptools (>= 0.6b3),
               python-sphinx (>=1.1.2),
               python-subunit,
               python-pbr,
               python-testrepository (>=0.0.13),
               python-testresources,
               python-testscenarios,
               python-testtools (>=0.9.27),
               python-tox
#Build-Depends-Indep:
# From test-requirements.txt we are missing:
#coverage>=3.6
#discover
#hacking>=0.5.3,<0.6
Standards-Version: 3.9.3
Homepage: https://pypi.python.org/pypi/gear
#Vcs-Git: https://review.openstack.org/p/openstack-infra/gear.git
Vcs-Browser: http://git.openstack.org/cgit/openstack-infra/gear/

Package: python-gear
Architecture: all
Depends: python-daemon,
         python-extras,
         python-pbr,
         ${misc:Depends},
         ${python:Depends}
Description: Pure Python Async Gear Protocol Library
 python-gear is a pure-Python asynchronous library to interface with Gearman.
 .
 It provides interfaces to build a client or worker, and access to the
 administrative protocol. The design approach is to keep it simple, with a
 relatively thin abstration of the Gearman protocol itself. It should be easy
 to use to build a client or worker that operates either synchronously or
 asynchronously.
 .
 The module also provides a simple Gearman server for use as a convenience in
 unit tests. The server is not designed for production use under load.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

UPSTREAM_GIT = git://github.com/openstack-infra/gear.git

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

#get-orig-source:
#	uscan --download-current-version --rename --destdir ../tarballs

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Command comes from upstream tox.ini
	python setup.py testr --slowest
endif

.PHONY: get-orig-source override_dh_auto_test

## python-gear 0.5.4

=== requirements.txt ===
pbr>=0.6,<1.0

extras
python-daemon

=== debian/changelog ===
python-gear (0.5.4-1) unstable; urgency=low

  * New upstream version
  * python-statsd is now a build dependency (required to run tests) but is
    only a suggestion since the package works fine without it.
  * Tweak build dependencies
  * [Alexandros Kosiaris] Package predepends on dpkg (>= 1.15.6~) to fix
    lintian error data.tar.xz-member-without-dpkg-pre-depends

 -- Antoine Musso <hashar@free.fr>  Thu, 15 May 2014 09:03:05 +0000

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,19 @@
                python-all (>= 2.6.6-3),
                python-daemon,
                python-extras,
-               python-fixtures (>=0.3.12),
+               python-statsd (>=1.0.0),
                python-setuptools (>= 0.6b3),
                python-sphinx (>=1.1.2),
+               python-pbr,
+# Tests related:
+               python-fixtures (>=0.3.12),
+               python-hacking (>=0.5.3),
+               python-sphinxcontrib-programoutput,
                python-subunit,
-               python-pbr,
                python-testrepository (>=0.0.13),
                python-testresources,
                python-testscenarios,
                python-testtools (>=0.9.27),
-               python-tox
 #Build-Depends-Indep:
 # From test-requirements.txt we are missing:
 #coverage>=3.6
@@ -35,11 +38,13 @@
 
 Package: python-gear
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-daemon,
          python-extras,
          python-pbr,
          ${misc:Depends},
          ${python:Depends}
+Suggests:  python-statsd
 Description: Pure Python Async Gear Protocol Library
  python-gear is a pure-Python asynchronous library to interface with Gearman.
  .
@@ -51,3 +56,6 @@
  .
  The module also provides a simple Gearman server for use as a convenience in
  unit tests. The server is not designed for production use under load.
+ .
+ Installing the suggested python-statsd package would add support for reporting
+ to statsd a frontend to Graphite a stats collection and graphing server.

## python-gear 0.5.5

=== debian/changelog ===
python-gear (0.5.5-2) unstable; urgency=medium

  * Update Vcs-Browser and set Vcs-Git
  * Remove get-orig-source
  * Clean debian/gbp.conf
  * Fix most lintian errors

 -- Antoine Musso <hashar@free.fr>  Mon, 16 Mar 2015 16:55:00 +0100

python-gear (0.5.5-1) unstable; urgency=low

  * New upstream version

 -- Antoine Musso <hashar@free.fr>  Mon, 04 Aug 2014 13:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -31,10 +31,10 @@
 #coverage>=3.6
 #discover
 #hacking>=0.5.3,<0.6
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: https://pypi.python.org/pypi/gear
-#Vcs-Git: https://review.openstack.org/p/openstack-infra/gear.git
-Vcs-Browser: http://git.openstack.org/cgit/openstack-infra/gear/
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-gear.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-gear.git
 
 Package: python-gear
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 %:
 	dh $@ --with python2
 
-#get-orig-source:
-#	uscan --download-current-version --rename --destdir ../tarballs
-
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Command comes from upstream tox.ini

## python-gear 0.5.8

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
argparse
extras
python-daemon>=2.0.4

=== debian/changelog ===
python-gear (0.5.8-6ubuntu1) jammy; urgency=medium

  * Fix FTBFS with OpenSSL 3. (LP: #1951952)
    - d/p/add-SNI-support.patch: Add SNI support.
    - d/p/do-not-force-tls-v1.patch: Do not enforce TLS v1.0 usage.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 22 Nov 2021 18:57:15 -0300

python-gear (0.5.8-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Make "Files: *" paragraph the first in the copyright file.
  * Update standards version to 4.2.1, no changes needed.

  [ Doug Torrance ]
  * debian/patches/bump-crypto-requirement.patch
    -  New patch; use a stronger key during tests (Closes: #973192)

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Oct 2021 23:47:30 +0200

python-gear (0.5.8-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Thomas Goirand ]
  * Switched to debhelper 11.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 14:32:22 +0200

python-gear (0.5.8-4) unstable; urgency=medium

  * Fixed shebang to python3 instead of python3.x.
  * Ran wrap-and-sort -bast.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2017 20:43:07 +0000

python-gear (0.5.8-3) unstable; urgency=high

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Jean-Michel Vourgère ]
  * Rebuild without python3.4 (Closes: #822098)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Tue, 10 May 2016 21:58:10 +0200

python-gear (0.5.8-2) unstable; urgency=medium

  * Added Python3 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 09:40:09 +0000

python-gear (0.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Merged upstream code within the packaging branch, and switching to a more
    OpenStack-ish branch name (ie: debian/unstable):
    - Updated debian/gbp.conf
  * Fixed (build-)depends for this release.
  * Removed non-active uploaders.
  * Moved test related build-depends into build-depends-indep.
  * Ran wrap-and-sort -t -a
  * Better call unit test suite (directly with testr).
  * Added missing build-depends: dh-python.
  * Added missing build-depends-indep: subunit, testrepository.
  * Calling testr directly instead of using python setup.py testr.
  * Fixed debian/gbp.conf
  * Switched to dh 9.
  * Fixed debian/copyright.
  * Using --buildsystem=python_distutils in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 09:11:03 +0000

=== debian/control ===
Source: python-gear
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Antoine Musso <hashar@free.fr>,
 Thomas Goirand <zigo@debian.org>,
 Paul Belanger <paul.belanger@polybeacon.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-daemon,
 python3-extras,
 python3-fixtures,
 python3-hacking,
 python3-openssl,
 python3-sphinxcontrib.programoutput,
 python3-statsd (>= 1.0.0),
 python3-subunit,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-gear
Vcs-Git: https://salsa.debian.org/python-team/packages/python-gear.git
Homepage: https://pypi.python.org/pypi/gear

Package: python3-gear
Architecture: all
Depends:
 python3-daemon,
 python3-extras,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-statsd,
Description: Pure Python Async Gear Protocol Library - Python 3.x
 python-gear is a pure-Python asynchronous library to interface with Gearman.
 .
 It provides interfaces to build a client or worker, and access to the
 administrative protocol. The design approach is to keep it simple, with a
 relatively thin abstration of the Gearman protocol itself. It should be easy
 to use to build a client or worker that operates either synchronously or
 asynchronously.
 .
 The module also provides a simple Gearman server for use as a convenience in
 unit tests. The server is not designed for production use under load.
 .
 Installing the suggested python-statsd package would add support for reporting
 to statsd a frontend to Graphite a stats collection and graphing server.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack-infra/gear.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

.PHONY: get-orig-source override_dh_auto_test

=== debian/watch ===
version=3
https://tarballs.openstack.org/gear/ gear-(\d.*)\.tar\.gz
